libzypp: zyppng::KeyRingReportHelper< ZyppContextRef > Class Template Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zyppng::KeyRingReportHelper< ZyppContextRef > Class Template Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::KeyRingReportHelper< ZyppContextRef >:

## Public Member Functions
| KeyRingReportHelper (ZyppContextRef r)
| KeyRingReportHelper (const KeyRingReportHelper &)=default
| KeyRingReportHelper (KeyRingReportHelper &&)=default
KeyRingReportHelper & | operator= (const KeyRingReportHelper &)=default
KeyRingReportHelper & | operator= (KeyRingReportHelper &&)=default
bool | askUserToAcceptUnsignedFile (const std::string &file, const zypp::KeyContext &keycontext={})
zypp::KeyRingReport::KeyTrust | askUserToAcceptKey (const zypp::PublicKey &key, const zypp::KeyContext &keycontext={})
bool | askUserToAcceptPackageKey (const zypp::PublicKey &key_r, const zypp::KeyContext &keycontext_r={})
void | infoVerify (const std::string &file_r, const zypp::PublicKeyData &keyData_r, const zypp::KeyContext &keycontext={})
void | reportAutoImportKey (const std::list< zypp::PublicKeyData > &keyDataList_r, const zypp::PublicKeyData &keySigning_r, const zypp::KeyContext &keyContext_r)
bool | askUserToAcceptVerificationFailed (const std::string &file, const zypp::PublicKey &key, const zypp::KeyContext &keycontext={})
bool | askUserToAcceptUnknownKey (const std::string &file, const std::string &id, const zypp::KeyContext &keycontext={})
Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ZyppContextRef & | zyppContext ()

## Private Attributes
detail::ReportHolder< ZyppContextRef, zypp::KeyRingReport > | _report

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
static constexpr bool | async ()
Protected Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (ZyppContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper< ZyppContextRef >
ZyppContextRef | _ctx

## Detailed Description

template<typename ZyppContextRef>
class zyppng::KeyRingReportHelper< ZyppContextRef >

Definition at line 101 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ KeyRingReportHelper() [1/3]

template<typename ZyppContextRef>

zyppng::KeyRingReportHelper< ZyppContextRef >::KeyRingReportHelper | ( | ZyppContextRef | r | ) |
| inline

Definition at line 105 of file reporthelper.h.

## ◆ KeyRingReportHelper() [2/3]

template<typename ZyppContextRef>

zyppng::KeyRingReportHelper< ZyppContextRef >::KeyRingReportHelper | ( | const KeyRingReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ KeyRingReportHelper() [3/3]

template<typename ZyppContextRef>

zyppng::KeyRingReportHelper< ZyppContextRef >::KeyRingReportHelper | ( | KeyRingReportHelper< ZyppContextRef > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename ZyppContextRef>

KeyRingReportHelper & zyppng::KeyRingReportHelper< ZyppContextRef >::operator= | ( | const KeyRingReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename ZyppContextRef>

KeyRingReportHelper & zyppng::KeyRingReportHelper< ZyppContextRef >::operator= | ( | KeyRingReportHelper< ZyppContextRef > && |  | ) |
| default

## ◆ askUserToAcceptUnsignedFile()

template<typename ZyppContextRef>

bool zyppng::KeyRingReportHelper< ZyppContextRef >::askUserToAcceptUnsignedFile | ( | const std::string & | file,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 62 of file reporthelper.cc.

## ◆ askUserToAcceptKey()

template<typename ZyppContextRef>

zypp::KeyRingReport::KeyTrust zyppng::KeyRingReportHelper< ZyppContextRef >::askUserToAcceptKey | ( | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 86 of file reporthelper.cc.

## ◆ askUserToAcceptPackageKey()

template<typename ZyppContextRef>

bool zyppng::KeyRingReportHelper< ZyppContextRef >::askUserToAcceptPackageKey | ( | const zypp::PublicKey & | key_r,
|  | const zypp::KeyContext & | keycontext_r = {} )

Definition at line 102 of file reporthelper.cc.

## ◆ infoVerify()

template<typename ZyppContextRef>

void zyppng::KeyRingReportHelper< ZyppContextRef >::infoVerify | ( | const std::string & | file_r,
|  | const zypp::PublicKeyData & | keyData_r,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 113 of file reporthelper.cc.

## ◆ reportAutoImportKey()

template<typename ZyppContextRef>

void zyppng::KeyRingReportHelper< ZyppContextRef >::reportAutoImportKey | ( | const std::list< zypp::PublicKeyData > & | keyDataList_r,
|  | const zypp::PublicKeyData & | keySigning_r,
|  | const zypp::KeyContext & | keyContext_r )

Definition at line 125 of file reporthelper.cc.

## ◆ askUserToAcceptVerificationFailed()

template<typename ZyppContextRef>

bool zyppng::KeyRingReportHelper< ZyppContextRef >::askUserToAcceptVerificationFailed | ( | const std::string & | file,
|  | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 138 of file reporthelper.cc.

## ◆ askUserToAcceptUnknownKey()

template<typename ZyppContextRef>

bool zyppng::KeyRingReportHelper< ZyppContextRef >::askUserToAcceptUnknownKey | ( | const std::string & | file,
|  | const std::string & | id,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 160 of file reporthelper.cc.

## Member Data Documentation

## ◆ _report

template<typename ZyppContextRef>

detail::ReportHolder<ZyppContextRef, zypp::KeyRingReport> zyppng::KeyRingReportHelper< ZyppContextRef >::_report
| private

Definition at line 130 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc